List all Payment Links

​

Returns a list of your payment links.

Query Parameters
  • account_id
    Type: array string[]
  • start_date
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • end_date
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • status
    Type: array string[]
  • currency
    Type: array string[]
  • limit
    Type: integer

    Integer numbers.

  • last_key
    Type: string

    Opaque cursor for pagination. Use the value from the previous response's last_key to get the next page

  • client_reference_id
    Type: string

    A free-form reference to identify the transaction in your system. This field will override other parameters except start and end dates.

  • id
    Type: string
Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment-links
curl 'https://api.paypercut.io/v1/payment-links?account_id=&start_date=&end_date=&status=&currency=&limit=1&last_key=eyJsYXN0SWQiOiIyMTIxMDAyMWMyODU1MDA3ZWZhMmQ2NTcwMTgiLCJsYXN0Q3JlYXRlZEF0IjoiMjAyNC0wMS0xNVQxMDozMDowMFoifQ%3D%3D&client_reference_id=&id=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "amount": 2000,
      "on_behalf_of": "string",
      "payment_method_configuration": null,
      "expires_at": "2026-04-17T20:01:58.674Z",
      "line_items": [
        {
          "quantity": 2,
          "price_data": {
            "active": true,
            "billing_scheme": "per_unit",
            "created": 1,
            "currency": "string",
            "livemode": true,
            "lookup_key": null,
            "product": "01K755J9SV2364REVHB915Z2FW",
            "product_data": {
              "active": true,
              "name": "string",
              "description": "string",
              "unit_label": "string",
              "id": "string"
            },
            "recurring": {
              "interval": "day",
              "interval_count": 1,
              "meter": null,
              "usage_type": "licensed"
            },
            "type": "one_time",
            "unit_amount": null,
            "unit_amount_decimal": null,
            "id": "string"
          },
          "metadata": {
            "additionalProperty": "string"
          }
        }
      ],
      "redirect_url": null,
      "client_reference_id": null,
      "client_customer_id": null,
      "description": null,
      "livemode": true,
      "after_completion": {
        "type": "redirect",
        "redirect": {
          "url": "https://example.com"
        },
        "hosted": {
          "custom_message": "string"
        }
      },
      "mode": "payment",
      "restrictions": {
        "completed_sessions": {
          "count": 1,
          "limit": 1
        }
      },
      "id": "string",
      "currency": {
        "iso": "usd",
        "scale": 2
      },
      "active": true,
      "status": "string",
      "created": "2026-04-17T20:01:58.674Z",
      "url": "string",
      "locale": "auto"
    }
  ],
  "last_key": "string"
}

List of payment links

  • Account Setup
  • External Accounts
  • Identity
  • Checkouts
  • Payment Links
  • Payments
  • Products
  • Billing
  • Customers
  • Access
  • Reporting
  • Events
logologo
Dashboard Docs API Reference BNPL API Reference